#1 OSX/FreeBSD support?

closed
nobody
None
5
2010-04-23
2007-07-25
No

Would OSX/FreeBSD support be difficult to achieve?

Discussion

  • Omry Yadan

    Omry Yadan - 2008-02-22

    Logged In: YES
    user_id=126268
    Originator: NO

    Since I don't know the involved API's on those platforms I can't tell if it would be hard or easy.
    best thing would be to just try to code it and see.

     
  • Matthew Donoughe

    I've got OSX 10.5 and higher support in my fork of JNotify at http://github.com/mdonoughe/jnotify . It cannot pass all the unit tests from the original JNotify because I cannot guarantee that events are reported in order. See the readme file for more information on that.

     
  • Christian Sprajc

    I integrated the forked macosx lib + code into original JNotify code.
    First -very basic - tests were promising.

     
  • Matthew Donoughe

    Mac OS X 10.5 and higher is supported in 0.93. I have not looked into FreeBSD support.

     
  • Omry Yadan

    Omry Yadan - 2010-04-23

    OSX support is added as of 0.93

     
  • Omry Yadan

    Omry Yadan - 2010-04-23
    • status: open --> closed
     

Log in to post a comment.